from pydantic import BaseModel, Field
from pydantic_extra_types.pendulum_dt import DateTime


class Club(BaseModel):
    id: str = Field()
    url: str = Field()
    courts_ids: list[int] = Field(default_factory=list)


class BookingFilter(BaseModel):
    sport_id: int = Field()
    date: DateTime = Field()


class User(BaseModel):
    login: str = Field()
    password: str = Field(repr=False)
